<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ningdatech.carapi.car.equipment.mapper.NdVehicleEquipmentInfoMapper">
    <insert id="insertBatch" parameterType="java.util.List">
        INSERT INTO nd_vehicle_equipment_info
        (name,
        sim_card_no,
        end_point,
        equipment_no,
        equipment_function,
        end_type,
        subordinate_platform,
        vehicle_id,
        car_plate
        )
        values
        <foreach collection="list" item="item" separator="," index="index">
            (
            #{item.name},
            #{item.simCardNo},
            #{item.endPoint},
            #{item.equipmentNo},
            #{item.equipmentFunction},
            #{item.endType},
            #{item.subordinatePlatform},
            #{item.vehicleId},
            #{item.carPlate}
            )
        </foreach>
    </insert>
</mapper>
